﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.export.EditModel
@{
    /* Constants */
    ViewData["Title"] = "Edit Export";

    /* Default value */
    string sInfo = string.Empty;
    bool bFlag = false;
    Export export = new Export() { };

    /* Get export id */
    string exportID = Request.Query["id"];

    /* Read the export detail */
    Export? isExport = BUS_Export.ReadInfo(exportID);

    if (null == isExport)
    {
        sInfo = "This Export order is not exists";
        bFlag = true;
    }
    else
    {
        /* Get export */
        export = isExport.Value;

        if (Request.Method == "POST")
        {
            /* Set a flag to indicate the user posted the form */
            bFlag = true;

            /* Get new export attributes */
            string sID = Request.Form["id"];
            string sUser = Request.Form["user"];
            string sDate = Request.Form["date"];

            /* Returns an empty string in case the new export is successfully added */
            sInfo = BUS_Export.Edit(sID, sUser, sDate, ref export);
        }
    }
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/export" class="link-primary text-decoration-none">Export</a>
        >
        <a href="/export/edit?id=@exportID" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Export attributes</p>
        @if (bFlag)
        {
            if (string.IsNullOrEmpty(sInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited export successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@sInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-3">
            <label for="id" class="form-label">Export ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@export.ID" placeholder="Export ID" maxlength="30" required>
        </div>
        <div class="col-md-3">
            <label for="user" class="form-label">Export Name</label>
            <input class="form-control" type="text" id="user" name="user" value="@export.User" placeholder="Export User" maxlength="30" required>
        </div>
        <div class="col-md-3">
            <label for="date" class="form-label">Export Date</label>
            <input class="form-control" type="date" id="date" name="date" value="@export.Date" required>
        </div>
        <div class="col-md-3 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current export attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Export ID</th>
                    <th>Export User</th>
                    <th>Export Date</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@export.ID</td>
                    <td>@export.User</td>
                    <td>@export.Date</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
